class nginx_pagespeed (
  $module_home = '/tmp',
  $nginx_version = '1.4.2',
  $ngx_pagespeed_version = 'release-1.6.29.5-beta',
  $google_psol_version = '1.6.29.5' ) {
    package { 'unzip':
      ensure => installed,
    }

    include wget

    wget::fetch { "download ngx_pagespeed":
      source      => "https://github.com/pagespeed/ngx_pagespeed/archive/${ngx_pagespeed_version}.zip",
      destination => "${module_home}/${ngx_pagespeed_version}.zip",
      timeout     => 0,
      verbose     => false,
    } ->
    exec { "unzip ngx_pagespeed":
      command => "/usr/bin/unzip -d ${module_home}/ ${module_home}/${ngx_pagespeed_version}.zip",
      creates => "${module_home}/ngx_pagespeed-${ngx_pagespeed_version}",
    } ->
    wget::fetch { "download google psol":
      source      => "https://dl.google.com/dl/page-speed/psol/${google_psol_version}.tar.gz",
      destination => "${module_home}/ngx_pagespeed-${ngx_pagespeed_version}/${google_psol_version}.tar.gz",
      timeout     => 0,
      verbose     => false,
    } ->
    exec { "untar google psol":
      command => "/bin/tar zxf ${module_home}/ngx_pagespeed-${ngx_pagespeed_version}/${google_psol_version}.tar.gz -C ${module_home}/ngx_pagespeed-${ngx_pagespeed_version}",
      creates => "${module_home}/ngx_pagespeed-${ngx_pagespeed_version}/psol"
    } ->
    wget::fetch {"download nginx":
      source      => "http://nginx.org/download/nginx-${nginx_version}.tar.gz",
      destination => "${module_home}/nginx-${nginx_version}.tar.gz",
      timeout     => 0,
      verbose     => false,
    } ->
    exec { 'untar nginx':
      command => "/bin/tar zxf ${module_home}/nginx-${nginx_version}.tar.gz -C ${module_home}",
      creates => "${module_home}/nginx-${nginx_version}"
    }
}